Main Page Class Hierarchy Alphabetical List Compound List Examples

Public Types | Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
MMFile Struct Reference

Memory mapped file. More...

`#include <mmfile.h>`

Inheritance diagram for MMFile:

## Public Types

typedef char * | iterator
typedef const char * | const_iterator
Public Types inherited from FileOp
typedef unsigned int | uint

## Public Member Functions

| MMFile (const std::string &, int mode=O_RDONLY)
| operator bool () const
bool | open (const std::string &, int mode=O_RDONLY)
void | close ()
uint | read (char *, int)
iterator | begin ()
const_iterator | begin () const
iterator | end ()
const_iterator | end () const

## Protected Member Functions

bool | map ()
bool | open (int flags)
bool | stat ()

## Protected Attributes

std::string | m_fqn
bool | m_stated
struct stat | m_st
int | m_fd
char * | m_beg
char * | m_end

## Additional Inherited Members

Static Public Member Functions inherited from FileOp
static bool | remove (const std::string &)
static bool | move (const std::string &, const std::string &)
static bool | exists (const std::string &)
static uint | size (const std::string &)
static uint | ctime (const std::string &)
static uint | atime (const std::string &)
static uint | mtime (const std::string &)

## Detailed Description

Memory mapped file.

The documentation for this struct was generated from the following file:

- mmfile.h